POST api/bagapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
BagViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| bag_status_id | globally unique identifier |
Required |
|
| cleanroom_type_id | globally unique identifier |
Required |
|
| code | integer |
Required |
|
| date_hu | date |
None. |
|
| id | globally unique identifier |
None. |
|
| site_id | globally unique identifier |
Required |
|
| wash_count | integer |
None. |
|
| position | integer |
None. |
|
| pc_id | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"bag_status_id": "44bc0ba7-63bb-4b75-afd5-4edd5407aa6e",
"cleanroom_type_id": "c4ce46e0-b86d-486b-995d-58719bd4ae1f",
"code": 3,
"date_hu": "2026-03-09T15:35:57.1170254+00:00",
"id": "d1b00829-8316-459d-803a-e9310d213ff0",
"site_id": "ff8cade3-1152-484a-9c77-41b21779e282",
"wash_count": 6,
"position": 1,
"pc_id": "84ca15e0-f71f-41b2-9673-bcbdc8a02a08"
}
application/xml, text/xml
Sample:
<bag xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <bag_status_id>44bc0ba7-63bb-4b75-afd5-4edd5407aa6e</bag_status_id> <cleanroom_type_id>c4ce46e0-b86d-486b-995d-58719bd4ae1f</cleanroom_type_id> <code>3</code> <date_hu>2026-03-09T15:35:57.1170254+00:00</date_hu> <id>d1b00829-8316-459d-803a-e9310d213ff0</id> <pc_id>84ca15e0-f71f-41b2-9673-bcbdc8a02a08</pc_id> <position>1</position> <site_id>ff8cade3-1152-484a-9c77-41b21779e282</site_id> <wash_count>6</wash_count> </bag>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"ce458a62-2d3b-4e17-9e32-ad9b6d6a4496"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">ce458a62-2d3b-4e17-9e32-ad9b6d6a4496</guid>